Bug 493162 - %verify syntax is now screwy
%verify syntax is now screwy
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 16:10 EDT by Bill Nottingham
Modified: 2014-03-16 23:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 09:09:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-03-31 16:10:54 EDT
Description of problem:

%verify(not md5 size mtime) %config(noreplace) /etc/hosts

md5 is now not md5, of course. (Unless you have to specify the
specific hash algorithm in %verify, which would be even more
nutty.)

Version-Release number of selected component (if applicable):

rpm-4.7.0-0.beta1.7.fc11.x86_64
Comment 1 Jindrich Novy 2009-04-01 07:20:42 EDT
Latest upstream rpm now allows either %verify(filedigest) or %verify(md5). The md5 is kept for backward compatibility and means general file digest checking, not only md5. The md5 and filedigest in %verify are actually synonyms now.

Maybe we want to backport it to 4.7.0-beta.
Comment 2 Panu Matilainen 2009-04-09 09:09:02 EDT
This is fixed in rpm-4.7.0-rc1 in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.